Summary: XEmacs editor
Name: xemacs-nineteen
Version: 19.16
Release: 3
Copyright: GPL
Group: Applications/Editors/Emacs
Packager: Trond Eivind Glomsrd <teg@pvv.ntnu.no>
URL: http://www.xemacs.org/
Source: ftp://ftp.xemacs.org/pub/beta/xemacs-19.16/xemacs-19.16.tar.gz
Source1: xemacs
Patch: xemacs-19.16-perl.patch
Serial: 4
BuildRoot: /usr/src/xem_root

%define ListElGzs find $RPM_BUILD_ROOT  -name "*.el.gz" -type f -print | /usr/bin/perl -pe "s/.*(\/usr.*)/\1/" > ElGzFile
%define NotElGzs find $RPM_BUILD_ROOT/usr/lib/xemacs-19.16/lisp -type f  -print | grep -v  ".el.gz" | /usr/bin/perl -pe "s/.*(\/usr.*)/\1/" > NotElGzFile

%description
The XEmacs editor. Emacs with a prettier interface ;)
This version should be stable, and does not suffer
from MULE bloat.

%package el
Group: Applications/Editors/Emacs
Summary: Lisp source code for the XEmacs lisp packages. Not necesarry to run XEmacs.

%description el
This is the compressed Lisp source code for the packages included with XEmacs.
It is not necessarry to install this packages to run XEmacs.

%package extras
Group: Applications/Editors/Emacs
Summary: XEmacs helper programs

%description extras
This is some helper programs for XEmacs. They are separated 
from the main RPM, because there is a name collition with
with the same programs from the "normal" Emacs. You don't
need to install it if you have Emacs installed.

%changelog
* Tue Dec 2 1997 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [xemacs-nineteen-19.16-3]
  - Compiled for Red Hat 5.0
  - Added a wmconfig entry
  - Put helper programs which conflicts with "normal" Emacs in xemacs-nineteen-extras

* Sun Nov 2 1997 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [xemacs-nineteen-19.16-2
  - edited a typo in the spec file (nothing serious)
  - The binary is now compiled for glibc2, and doesn't use Motif

* Sat Oct 18 1997 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [xemacs-nineteen-19.16-1]
  - Upgraded to 19.16

* Tue Oct 14 1997 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [xemacs-nineteen-19.16pre9-1]
  - Upgraded to 19.16pre9
  - some .elc-files were missing 

* Sat Oct 4 1997  Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [xemacs-nineteen-19.16pre5-1]
  - Upgraded to 19.16pre5
  - Added a serial tag


* Sat Oct 4 1997  Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [xemacs-nineteen-19.15p7-5]
  - A small perl patch (from /usr/local to /usr)

* Wed Sep 24 1997 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [xemacs-nineteen-19.15p7-4]
  - now uses Motif dialogs and scrollbars (Motif 1.2, delivered with CDE)
  - compiled with CDE support

* Thu Sep 18 1997 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [xemacs-nineteen-19.15p7-3]
  - changed the name to xemacs-nineteen, to avoid nameclash with xemacs 20

* Thu Sep 18 1997 Trond	Eivind Glomsrd <teg@pvv.ntnu.no>
  [xemacs-19.15p7-2]
  - changed the spec file (got rid of the enourmous file listings, introduced wildcards and macros)
  - added a changelog
  - started using a buildroot

%prep
%setup -n xemacs-19.16
%patch -p1

rm -f `find -name "*orig"`

%build
./configure i586-redhat-linux2.0.32  \
--prefix=/usr --with-gcc  --with-gnu-make --cflags="$RPM_OPT_FLAGS" --dynamic=yes \
--const-is-losing=no --with-x --with-menubars=lucid --with-dialogs=lucid --with-scrollbars=lucid \
--with-xpm --with-gif --with-jpeg --with-png -with-database="gnudbm,berkdb" --with-sound=native \

make 

%install

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/var
make prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr gzip-el
gzip -f9 $RPM_BUILD_ROOT/usr/man/man1/*
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 0644 $RPM_SOURCE_DIR/xemacs $RPM_BUILD_ROOT/etc/X11/wmconfig

%ListElGzs
%NotElGzs

%clean

rm -fr $RPM_BUILD_ROOT

%files -f NotElGzFile

%doc BUGS CHANGES-beta COPYING PROBLEMS README
%dir /usr/lib/xemacs-19.16
%dir /usr/lib/xemacs-19.16/lisp
%dir /usr/lib/xemacs-19.16/info
%dir /usr/lib/xemacs
%dir /usr/lib/xemacs/lock
%dir /usr/lib/xemacs/site-lisp
%config /etc/X11/wmconfig/xemacs
/usr/lib/xemacs-19.16/etc
/usr/lib/xemacs-19.16/info/*
/usr/lib/xemacs-19.16/*-redhat*
/usr/man/man1/*
/usr/bin/gnuattach
/usr/bin/gnuclient
/usr/bin/gnudoit
/usr/bin/pstogif
/usr/bin/xemacs
/usr/bin/xemacs-19.16
/var

%files el -f ElGzFile

%files extras
/usr/bin/ctags
/usr/bin/b2m
/usr/bin/emacsclient
/usr/bin/etags
/usr/bin/rcs-checkin

